--- old/usr/src/uts/common/io/ptm.c	Sat Feb 29 17:13:04 2020
+++ new/usr/src/uts/common/io/ptm.c	Sat Feb 29 17:13:04 2020
@@ -24,8 +24,10 @@
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved	*/
 
+/*
+ * Copyright 2020 OmniOS Community Edition (OmniOSce) Association.
+ */
 
-
 /*
  * Pseudo Terminal Master Driver.
  *
@@ -521,6 +523,13 @@
 			DBG(("ack the UNLKPT/ISPTM\n"));
 			miocack(qp, mp, 0, 0);
 			break;
+		case PTSSTTY:
+			mutex_enter(&ptmp->pt_lock);
+			ptmp->pt_state |= PTSTTY;
+			mutex_exit(&ptmp->pt_lock);
+			DBG(("ack PTSSTTY\n"));
+			miocack(qp, mp, 0, 0);
+			break;
 		case ZONEPT:
 		{
 			zoneid_t z;
